<html>
<head>
  <title>About Constitution Web Application</title>
</head>
<body>
  <h1>About <i>Constitution</i> Web Application</h1>

  <h3>What is This Application</h3>
    <p>
      <b>Constitution</b> is a web application that makes available
      online the Constitution of the Republic of Albania. Some of the
      features of this application are:
      <ol>
        <li>
	  The content of the document (the constitution) is fully 
	  separated from the representation.
	</li>
	<li>
	  The content of the documents is well structured, with sections 
	  and subsections stored in separate folders and subfolders. 
	</li>
	<li>
	  The application generates the representation (HTML pages) 
	  dynamicly, on the fly, by reading the content from 
	  the files and folders and formating it. This means that
	  if you modify the content, the modifications will apear online 
	  immediately.
	</li>
	<li>
	  Since this dynamic generation of HTML pages has a price on 
	  performance, the application supports page caching. So, if a
	  requested page does not exist in the cache, the application 
	  generates it and stores it in cache; next time it will not 
	  regenerate it but will just retrive it from the cache.
	</li>
	<li>
	  The application supports multiple languages. So, if you are 
	  reading a certain part of the document in a certain language,
	  and you switch the language, the application will display the
	  same part of the document in the other language.
	</li>
	<li>
	  There is no limit in the number of languages that the application
	  supports. With very litle efforts you can add another language, if
	  you have the content in this language.
	</li>
	<li>
	  The application has search capability. If you search for a given 
	  word it returns all the parts of the document (articles) where
	  this word is found.
	</li>
	<li>
	  The application offers the document for download in other useful
	  formats, such as: plain text, latex, postscript, pdf, 
	  long html (all the document in one page), and DocBook (XML). 
	  It has tools to generate these formats automatically from the
	  stored content.
	</li>
      </ol>
    </p>
    <p>
      The above features were about viewing the content of the document
      by the public. There is also another useful feature of the application:
      <ul>
        <li>
	  It supports online editing of the content (document) by
	  authorized people. When an <i>editor</i> enters the <i>edit
	  mode</i> what he sees is almost identical to the <i>view
	  mode</i> and he can browse through various parts and
	  sections of the document in the same way. But in addition,
	  there is also an "Edit" button, which opens the part of the
	  document that is being viewed, in edit mode. The editor can
	  add new sections and subsections (called nodes) or can
	  delete them, can change the title of a section, can modify
	  the text of a section, etc.  The document can even be empty
	  and the editor can build it online from the scatch.  All
	  this editing is done online, through a web interface, and
	  the editor can be any non-technical people who doesn't need
	  to know how the application stores the content.
      </ul>
    </p>
    <p>
      The application is built using 
      <a href="http://phpwebapp.sourceforge.net/" target="_blank">phpWebApp</a>
      framework. Its code is well organized, structured and clean, and it 
      can be easily modified for other types of documents (other then a 
      constitution).
    </p>
  <h3>Download</h3>
    <ul>
      <li>
        <a href="browse.php" target="_blank">Browse</a> the code of the application online.
      </li>
      <li>
        Download it: <a href="kushtetuta.tar.gz">kushtetuta.tar.gz</a>(160 KB)
      </li>
    </ul>
  <h3>Installation</h3>
    <p>
      You must download and install the
      <a href="http://phpwebapp.sourceforge.net/" target="_blank">phpWebApp</a>
      framework, since it is built using it. Then you just untar 
      <i>kushtetuta.tar.gz</i> in the DocumentRoot, and maybe you will also
      need to modify any constant in <i>config/const.Paths.php</i>. Read also 
      the <a href="README">README</a> file.
    </p>
  <h3>Licence</h3>
  <p>
    Copyright (C) 2003  <a href="mailto:dhoxha@inima.al">Dashamir Hoxha</a>
  </p>
  <p>
    This program is 
    <a href="href://www.fsf.org/philosophy/free-sw.html">free software</a>; 
    you can redistribute it and/or modify it under the terms of the 
    <a href="href://www.fsf.org/licenses/gpl.html">GNU General Public License</a>
    as published by the 
    <a href="href://www.fsf.org/">Free Software Foundation</a>; 
    either version 2 of the License, or (at your option) any later version.
  </p>
  <p>
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  </p>
  <p>
    You should have received <a href="COPYING">a copy</a> of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  </p>
  <pre>
    Dashamir Hoxha
    <a href="http://www.inima.al">INIMA</a>
    Rr."Lek Dukagjini", Nr.3
    Tirana/Albania
  </pre>

</body>
</html>
